## ina260-zmq-publisher

A ZeroMQ-based power monitoring publisher for the ina260 chip. This repository provides:

- `logger`: that collects (as fast as possible) power measurements from the ina260 using the dedicated driver
- `publisher`: that continuously publish using the ZeroMQ pub/sub communication pattern
- `subscriber`: a client that collect the measurements from the publishers (broker, frontend etc...)

*Note: Nothing is stored locally! Everything that is published by the publisher is either receive by a subscriber or lost.*

### Compilation
The only dependency is [ZeroMQ](https://zeromq.org/). After installing the ZeroMQ library, the following will generate all the executables:

    $ make

### Deployment
1. Update `config.mk` according to you needs
2. On the nodes equiped with the ina260 chips:

    $ make publish

3. One the node that collect the measurements (broker, frontend etc..):

    $ make subscribe